#letter-reply {
    flex-direction: column;
}

#lre-history {
    display: flex;
    flex-direction: column-reverse;
    height: calc(75vh - 5rem);
    width: calc(100% - 2rem * 2);
    padding: 5rem 2rem 3rem 2rem;

    overflow: auto;

    /* 隐藏滚动条 */
    &::-webkit-scrollbar {
        display: none;
    }

    scrollbar-width: none;
    -ms-overflow-style: none;
    /* 透明度渐变遮罩 */
    -webkit-mask-image: linear-gradient(to bottom,
        transparent 0%,
        black 15%,
        black 85%,
        transparent 100%);
    mask-image: linear-gradient(to bottom,
        transparent 0%,
        black 15%,
        black 85%,
        transparent 100%);
}

.lrec-role-1 {
    width: 100%;
    padding-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.lrec-role-2 {
    width: 100%;
    padding-bottom: 0.6rem;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.lrec-role-1 glass-card {
    max-width: 90%;
    border-radius: 1.4rem 1.4rem 1.4rem 3px;
    --padding: 0.5rem 0.9rem;
    font-size: 1.1rem;
    letter-spacing: 0px;
    line-height: 1.5rem;
    font-family: 'text', 'Noto Serif CJK SC', serif;
}

.lrec-role-2 glass-card {
    --glass-bg: rgba(255, 255, 255, 0.22);
    max-width: 90%;
    border-radius: 1.4rem 1.4rem 3px 1.4rem;
    --padding: 0.5rem 0.9rem;
    font-size: 1.12rem;
    font-family: 'option', 'Noto Serif CJK SC', serif;
}


#lre-options {
    height: 25vh;
    width: 100%;
    display: flex;
    flex-direction: column;

    /* 透明度渐变遮罩 */
    -webkit-mask-image: linear-gradient(to right,
            transparent 0%,
            black 10%,
            black 90%,
            transparent 100%);
    mask-image: linear-gradient(to right,
            transparent 0%,
            black 10%,
            black 90%,
            transparent 100%);
}


/* 进入按钮容器 */
#lre-button-box {
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 3000;
    width: 100%;
    height: 25dvh;
    scale: 0;
    /* 内容居中 */
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

/* 进入按钮 */
#lre-button {
    height: 3.8rem;
    width: 3.8rem;
    border-radius: 100%;
    /* 内部图标居中 */
    display: flex;
    align-items: center;
    justify-content: center;
}

@media (min-width: 1000px) {
    #lre-button {
        height: 5rem;
        width: 5rem;
    }
}

/* 进入按钮内图标 */
#lre-button-icon {
    max-height: 1.6rem;
    max-width: 1.6rem;
}

@media (min-width: 1000px) {
    #lre-button-icon {
        max-height: 2.2rem;
        max-width: 2.2rem;
    }
}

#lre-button-icon path {
    fill: var(--content-color-primary);
}

#lreo-line-1,
#lreo-line-2 {
    display: block;
    height: 50%;
    width: 100%;
    position: relative;
}

#lre-options div glass-card {
    position: absolute;
    --glass-bg: rgba(255, 255, 255, 0.22);
    border-radius: 2rem 2rem 2rem 2rem;
    --padding: 0.8rem 1.4rem;
    font-size: 1.12rem;
    font-family: 'option', 'Noto Serif CJK SC', serif;
    transition: opacity 0.4s, filter 0.4s;
}

#lreo-line-1 glass-card {
    top: 1rem;
    left: 0;
}

#lreo-line-2 glass-card {
    top: 0;
    right: 0;
}

#lre-options div glass-card.blured {
    filter: blur(2px);
}

#lre-options div glass-card.removed {
    filter: blur(8px);
    opacity: 0.3;
}